package com.changhu.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.changhu.support.mybatisplus.pojo.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serial;
import java.io.Serializable;


/**
 * 扣分标准 实体类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class CkStandard extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 考核项id
     */
    private Long ckItemId;

    /**
     * 条件
     */
    private String name;

    /**
     * 扣多少分
     */
    private Double deductionPoints;

}
