package com.changhu.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.changhu.common.db.enums.IsEnable;
import com.changhu.common.db.enums.IsOrNot;
import com.changhu.common.db.enums.Sex;
import com.changhu.support.mybatisplus.pojo.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serial;
import java.io.Serializable;


/**
 * 后台-保安单位用户表 实体类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class ManagementSecurityUnitUser extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 所属保安公司id
     */
    private Long securityUnitId;

    /**
     * 名称
     */
    private String name;

    /**
     * 性别
     */
    private Sex sex;

    /**
     * 账号
     */
    private String account;

    /**
     * 手机号
     */
    private String telephone;

    /**
     * 盐值
     */
    private String salt;

    /**
     * 密码
     */
    private String password;

    /**
     * 是否启用
     */
    private IsEnable isEnable;

    /**
     * 是否是超管
     */
    private IsOrNot isAdmin;

    /**
     * 备注
     */
    private String remark;


}
