package com.changhu.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.changhu.common.db.enums.Sex;
import com.changhu.support.mybatisplus.pojo.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serial;
import java.io.Serializable;


/**
 * 保安人员 实体类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class SecurityUser extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 所属保安单位id
     */
    private Long securityUnitId;

    /**
     * 服务项目id
     */
    private Long serviceProjectId;

    /**
     * 本人照片
     */
    private String photo;

    /**
     * 名称
     */
    private String name;

    /**
     * 手机号
     */
    private String telephone;

    /**
     * 工作岗位
     */
    private String workPost;

    /**
     * 性别
     */
    private Sex sex;

    /**
     * 籍贯
     */
    private String nativePlace;

    /**
     * 身份证
     */
    private String idCard;

    /**
     * 出生日期
     */
    private java.time.LocalDate dateOfBirth;

    /**
     * 保安证号
     */
    private String securityNumber;

    /**
     * 无证说明
     */
    private String noSecurityNumberDesc;

    /**
     * 家庭住址
     */
    private String homeAddress;

    /**
     * 备注
     */
    private String remark;


}
