package com.changhu.pojo.params;

import com.changhu.strategy.UnitOptType;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/9/2 上午10:51
 * @desc CheckStatusParams...
 */
@Data
public class CheckStatusParams {

    @Schema(description = "审核数据的唯一标识")
    @NotNull(message = "唯一标识不能为空")
    private String onlyCode;

    @Schema(description = "单位类型")
    @NotNull(message = "单位类型不能为空")
    private UnitOptType unitOptType;
}
