package com.changhu.pojo.queryParams;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/9/3 下午3:27
 * @desc EnterprisesUnitPagerQueryParams...
 */
@Data
public class EnterprisesUnitPagerQueryParams {

    @Schema(description = "公安单位id")
    private Long policeUnitId;

    @Schema(description = "名称")
    private String name;
    @Schema(description = "详细地址")
    private String address;
    @Schema(description = "备注")
    private String remark;
}
