package com.changhu.strategy.handler.clientType;

import com.alibaba.fastjson2.JSONObject;
import com.changhu.common.pojo.vo.TokenInfo;

/**
 * @author 20252
 * @createTime 2024/8/28 下午5:24
 * @desc AbstractLoginHandler...
 */
public abstract class AbstractLoginHandler {


    /**
     * 统一登录方法
     *
     * @param jsonObject 登录参数
     * @return token
     */
    public abstract TokenInfo login(JSONObject jsonObject);

}
